<?php
/*
'--------------------------------------------------------
'软件名称：MVSO
'开发作者：GMeier
*官方网站：http://www.gmeier.top/
*bug反馈交流：524500448
'--------------------------------------------------------
*/
declare (strict_types = 1);

namespace app;

use think\Request;

class Rule
{
	// 获取搜索结果
	public function so($wd)
	{
		$url='http://so.360kan.com/?kw='.$wd;
		$seach = $this->curl($url);
		preg_match_all('#js-playicon" title="(.*?)" data-logger=#', $seach,$name);
		preg_match_all('#<a href="(.*?)" class="g-playicon#', $seach,$url);//链接
		preg_match_all('#<img src="(.*?)" alt="(.*?)" \/>#', $seach,$imgrr);
		$num = count($imgrr[1])-1;
		unset($imgrr[1][0]);
		for($i=0,$j=0;$i<=count($imgrr[1]);$i++){
			if($i!=0){
				$img[$j]=$imgrr[1][$i];
				$j++;
			}
		}
		$movies['counts'] = count($name[1]);
		for($i=0;$i<$movies['counts'];$i++){
			preg_match_all('#http://www.360kan.com/(.*?)/(.*?).html#',$url[1][$i],$url1[$i]);
			$list[]=array(
				'type' => $url1[$i][1][0],
				'id' => $url1[$i][2][0],
				'name' => $name[1][$i],
				'img' => $img[$i],
			);
		}
		if(empty($list)){
			$data=['status'=>400];
			return $data;
		}else{
			$data=['status'=>200,'list'=>$list];
			return $data;
		}
	}
	
	// 获取播放地址
	public function getdata($id)
	{
		error_reporting(0);
		$content = $this->curl($id);
		preg_match('/http[s]?:\/\/www.360kan.com\/(m|tv|ct|va)\/(\w*).html/U', $id, $type);
		preg_match('/<div class="title-left g-clear">(.*)<\/body>/sU', $content, $body);
		preg_match_all('#<h1>(.*?)</h1>#',$body[1],$a);
		preg_match_all('#<span>(.*?)</span>#',$body[1],$c);
		preg_match_all('#<p class="item-desc">(.*?)<#',$body[1],$d);
		preg_match_all('#<a class="area first"(.*?)>(.*?)</a>#',$body[1],$e);
		preg_match_all('#<p class="item"><span>(.*?)</span>(.*?)</p>#',$body[1],$f);
		preg_match_all('#<a class="name"(.*?)>(.*?)</a>#',$body[1],$g);
		$actor = '';
		for($i=0;$i<count($g[2]);$i++){
			if($i == 0){
				$actor .= $g[2][$i];
			}else{
				$actor .= ','.$g[2][$i];
			}
		}
		$name = $a[1][0];
		$jishu = $c[1][0];
		$des = $d[1][1];
		$area = $e[2][0];
		$year = $f[2][0];
		
		$html = $body[1];
		switch($type[1]) {
			case 'm':
				// 链接
				preg_match_all('/data-daochu="to=\w*" class="btn js-site ea-site ea-site-\w*" href="(.*)">(.*)<\/a>/sU', $html, $temp);
				for($j=0; $j<count($temp[0]); $j++) { 
					$temp_urls = str_replace("http://cps.youku.com/redirect.html?id=0000028f&url=", "", $temp[1][$j]);
					$temp_urls = explode("?", $temp_urls);
					$urls[] = array(
						'from' => $temp[2][$j],
						'url' => $temp_urls[0]
					);
				}
			if(empty($urls)){
				$data=['status'=>404];
				return $data;
			}else{
				$data=['status'=>200,'type'=> 'm','urls'=>$urls,'name'=>$name,'jishu'=>$jishu,'des'=>$des,'area'=>$area,'year'=>$year,'actor'=>$actor];
				return $data;
			}
			break;
			
			case 'tv':
				// 播放源
				$urls =[];
				preg_match('/\',\r\s*playsite:(.*),\r\s*playtype:/sU', $html, $temp);
				$playsite = json_decode($temp[1], true);
				for ($i=0; $i< count($playsite); $i++)  {
					$content = $this->curl('https://www.360kan.com/cover/switchsitev2?site='.$playsite[$i]['ensite'].'&id='.$type[2].'&category=2');
					$content = json_decode($content, true)['data'];
					preg_match('/<div class="num-tab-main g-clear js-tab"(.*)<\/div>/sU', $content, $temp);
					preg_match_all('/<a data-num="(\d+)" data-daochu="(.*)" href="(.*)">/sU', $temp[1], $temp);
					for($j=0; $j<count($temp[0]); $j++) {
						$temp_urls = str_replace("http://cps.youku.com/redirect.html?id=0000028f&url=", "", $temp[3][$j]);
						$temp_urls = explode("?", $temp_urls);
						$urls[] = array(
							'no' => $temp[1][$j],
							'url' => $temp_urls[0],
						);
					}
				}
				$newdata = [];
				
				foreach($urls as $k=>$v){
					if(!isset($newdata[$v['no']])){
						$newdata[$v['no']] = $v;
					}else{
						$newdata[$v['no']]['url'] .= '#'.$v['url'];
					}
				}
			if(empty($newdata)){
				$var_330=['status'=>404];
				return $movieInfo;
			}else{
				$var_330=['status'=>200,'type'=> 'tv','urls'=>array_values($newdata),'name'=>$name,'jishu'=>$jishu,'des'=>$des,'area'=>$area,'year'=>$year,'actor'=>$actor];
				return $var_330;
			}
			break;
			
			case 'ct':
				// 播放源
				$urls =[];
				preg_match('/\',\r\s*playsite:(.*),\r\s*site:/sU', $html, $temp);
				$playsite = json_decode($temp[1], true);
				for ($i=0; $i< count($playsite); $i++)  
				{
					$content = $this->curl('https://www.360kan.com/cover/switchsitev2?site='.$playsite[$i]['ensite'].'&id='.$type[2].'&category=4');
					$content = json_decode($content, true)['data'];
					preg_match('/<div class="js-series-all m-series-number-container"(.*)<\/div>/s', $content, $temp);
					if(isset($temp[0])){
						preg_match_all('/<a data-num="(\d+)"data-daochu="(.*)" href="(.*)">/sU', $temp[1], $temp1);
					}else{
						preg_match_all('/<a data-num="(\d+)"data-daochu="(.*)" href="(.*)">/sU', $content, $temp1);
					}
					for($j=0; $j<count($temp1[0]); $j++) {     
						$temp_urls = str_replace("http://cps.youku.com/redirect.html?id=0000028f&url=", "", $temp1[3][$j]);
						$temp_urls = explode("?", $temp_urls);
						$urls[] = array(
							'no' => $temp1[1][$j],                              
							'url' => $temp_urls[0]
						);
					}
				}
				$newdata = [];
				foreach($urls as $k=>$v){
					if(!isset($newdata[$v['no']])){
						$newdata[$v['no']] = $v;
					}else{
						$newdata[$v['no']]['url'] .= '#'.$v['url'];
					}
				}
				
			if(empty($newdata)){
				$var_330=['status'=>404];
				return $var_330;
			}else{
				$var_330=['status'=>200,'type'=> 'tv','urls'=>array_values($newdata),'name'=>$name,'jishu'=>$jishu,'des'=>$des,'area'=>$area,'year'=>$year,'actor'=>$actor];
				return $var_330;
			}
			break;
			
			case 'va':
				//播放源
				preg_match('/<div class="site g-clear">(.*)<div class="js-juji-content"/sU',$html,$playsite);
				//preg_match_all('#data-cn="(.*?)" data-site="([a-z0-9]*)"#', $playsite[1],$bfyuan);  //播放源
				preg_match_all('/class="js-juji-site ea-site zd-down-item ea-site-([a-z0-9]*)" href="####">(.*?)<\/a>/', $playsite[1],$bfyuan);
				if(empty($bfyuan[0])){
					preg_match_all('#<span class="ea-site ea-site-([a-z0-9]*) btn">(.*?)</span>#', $playsite[1],$bfyuan);
				}
				$sitearr=$bfyuan[1];   
				$sitenamearr=$bfyuan[2];
				for ($i=0; $i< count($sitearr); $i++)  
				{
					$content = $this->curl('https://www.360kan.com/cover/zongyilistv2?id='.$type[2].'&site='.$sitearr[$i].'&do=switchsite&isByTime=true');
					$content = json_decode($content, true)['data'];
					preg_match('/<div class="g-clear js-month-page"(.*)<div class="juji-page js-juji-page"/sU', $content, $temp);
					
				
					preg_match_all('/<a href=\'(.*)\' data-daochu=(.*) class=\'js-link\'><div class=\'w-newfigure-imglink g-playicon js-playicon\'> <img src=\'([^\']*)\' data-src=\'([^\']*)\' alt=\'([^\']*)\'  \/><span class=\'w-newfigure-hint\'>(.*)<\/span>/sU', $temp[1], $temp);
					for($j=0; $j<count($temp[0]); $j++) { 
						$temp_urls = str_replace("http://cps.youku.com/redirect.html?id=0000028f&url=", "", $temp[1][$j]);
						$temp_urls = explode("?", $temp_urls);
						$urls[] = array(
							'no' => $temp[6][$j],
							'url' => $temp_urls[0]
						);
					}
				}
				$newdata = [];
				foreach($urls as $k=>$v){
					if(!isset($newdata[$v['no']])){
						$newdata[$v['no']] = $v;
					}else{
						$newdata[$v['no']]['url'] .= '#'.$v['url'];
					}
				}
			
			if(empty($newdata)){
				$var_330=['status'=>404];
				return $var_330;
			}else{
				$var_330=['status'=>200,'type'=> 'tv','urls'=>array_values($newdata),'name'=>$name,'jishu'=>$jishu,'des'=>$des,'area'=>$area,'year'=>$year,'actor'=>$actor];
				return $var_330;
			}
			break;
		}
	}
	
	// 获取列表
	public function getlist($type,$page)
	{
		error_reporting(0);
		$liebiao='http://www.360kan.com/'.$type.'/list.php?cat=all&year=all&area=all&act=all&rank=all&pageno='.$page.'';
		$fcon = $this->curl($liebiao);
		preg_match_all('#<span class="s1">(.*?)</span>#', $fcon,$xarr0); 
		preg_match_all('#<a class="js-tongjic" href="(.*?)">#', $fcon,$xarr1);
		preg_match_all('#<div class="s-tab-main">[\s\S]+?<div class="s-common-body">#', $fcon,$imglist);
		preg_match_all('#<img src="(.*?)">#',$imglist[0][0],$xarr3);
		$xname=$xarr0[1];//名字
		$xlist=$xarr1[1];//链接
		$ximg=$xarr3[1];//图片
		for($i=0;$i<count($xlist);$i++){
			//if($url[$i] != null){
				preg_match_all('#/(.*?)/(.*?).html#',$xlist[$i],$url[$i]);
			//}
			$list[]=array(
				'type' => $url[$i][1][0],
				'id'	=>	$url[$i][2][0],
				'name' => $xname[$i],
				'img' => $ximg[$i],
			);
		}
		if(empty($list))
		{
			$data=['status'=>400];
			return $data;
		}else{
			$data=['status'=>200,'list'=>$list];
			return $data;
		}
	}
	
	// 获取360轮播地址
	public function lunbo()
	{
		$url = file_get_contents('http://m.360kan.com/');
		preg_match_all('#<img src="(.*?)">#',$url,$a);
		preg_match_all('#<span>(.*?)<\/span>#',$url,$b);
		preg_match_all('#<a href="(.*?)"#',$url,$c);
		for($i=0,$j=0;$i<=6;$i++){
			preg_match_all('#http://m.360kan.com/(.*?)/(.*?).html#',$c[1][$i],$d);
			if($i == 0 || $i == 1 || $i == 5){
				continue;
			}
			$data[$j]['type'] = $d[1][0];
			$data[$j]['id'] = $d[2][0];
			$data[$j]['img'] = $a[1][$i];
			$data[$j]['name'] = $b[1][$i];
			$j++;
		}
		return $data;
	}
	
	public function curl($url,$timeout = 10) {  
		$user_agent = "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36";  
		$curl = curl_init();                                        //初始化 curl
		curl_setopt($curl, CURLOPT_URL, $url);                      //要访问网页 URL 地址
		curl_setopt($curl, CURLOPT_USERAGENT,$user_agent);		   //模拟用户浏览器信息 
		curl_setopt($curl, CURLOPT_REFERER,$url) ;               //伪装网页来源 URL
		curl_setopt($curl, CURLOPT_AUTOREFERER, 1);                //当Location:重定向时，自动设置header中的Referer:信息                   
		curl_setopt($curl, CURLOPT_TIMEOUT, $timeout);             //数据传输的最大允许时间 
		curl_setopt($curl, CURLOPT_HEADER, 0);                     //不返回 header 部分
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);            //返回字符串，而非直接输出到屏幕上
		curl_setopt($curl, CURLOPT_FOLLOWLOCATION,1);             //跟踪爬取重定向页面
		curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, '0');        //不检查 SSL 证书来源
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, '0');        //不检查 证书中 SSL 加密算法是否存在
		curl_setopt($curl, CURLOPT_ENCODING, '');	          //解决网页乱码问题
		$content = curl_exec($curl);
		curl_close($curl);
		return $content;
	}
}